#ifndef ARRAY_H
#define ARRAY_H

#include <stdint.h>

int32_t *create_array(uint32_t array_length);
void init_array(int32_t *array, uint32_t array_length);
void display_array(int32_t *array, uint32_t array_length);
void permute_array_randomly(int32_t *array, uint32_t array_length);
void permute_array_cyclic(int32_t *array, uint32_t array_length, uint32_t n);
void place_lowest_value_last(int32_t *array, uint32_t array_length);
void insertion_sort_desc(int32_t *array, uint32_t array_length);
uint32_t count_elements_lower_than(int32_t *array, uint32_t array_length, uint32_t n);
int32_t *sum(int32_t *operand_1, int32_t *operand_2, uint32_t array_length);
void multiply_by_n(int32_t *array, uint32_t array_length, uint32_t n);
double *convert_int32_t_array_to_double(int32_t *array, uint32_t array_length);

#endif
